package po

import (
	"fmt"
	"github.com/go-playground/validator/v10"
	"plugins/zltx/internal/vo"
)

type Req interface {
	Validate() error
}

var _ Req = (*OrderReq)(nil)

func (req *OrderReq) Validate() error {
	err := validator.New().Struct(req)
	if err != nil {
		for _, err = range err.(validator.ValidationErrors) {
			return fmt.Errorf("参数有误：" + err.Error())
		}
	}
	return nil
}

type Resp interface {
	SetCodeStr()
}

var _ Resp = (*OrderResp)(nil)

func (r *OrderResp) SetCodeStr() {
	r.CodeStr = vo.Code(fmt.Sprintf("%v", r.Code))
}
