package internal

import (
	"codeup.aliyun.com/6552e56cc3b2728a4557fc18/plugin/proto"
	"context"
	"fmt"
	"github.com/stretchr/testify/assert"
	"testing"
)

var appKey = "8db16e8cc8363ed4eb4c14f9520bcc32"
var appId = "23329"
var baseUri = "http://test.openapi.1688sup.cn"
var notifyUrl = "http://test.openapi.1688sup.cn"

var lsxd = &ZltxService{}

func TestOrder(t *testing.T) {
	request := &proto.OrderRequest{
		Config: &proto.Config{
			AppId:     appId,
			AppKey:    appKey,
			BaseUri:   baseUri,
			NotifyUrl: notifyUrl,
		},
		Order: &proto.OrderRequest_Order{
			OrderNo: "test_zltx_4",
			Account: "18666666666",
			Extra:   nil,
		},
		Product: &proto.OrderRequest_Product{
			ProductNo: "106",
			Extra:     []byte(`{}`),
		},
	}
	t.Run("TestOrder", func(t *testing.T) {
		got, err := lsxd.Order(context.Background(), request)
		if err != nil {
			t.Errorf("Order() error = %v", err)
			return
		}
		fmt.Printf("%+v", got)
		assert.Equal(t, int(proto.Status_ING), int(got.Result.Status))
	})
}
